﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Forms;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace PhotoViewer
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       private PhotoCollection photos;

        public MainWindow()
        {
            InitializeComponent();
            var folder = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures);
            this.photos = new PhotoCollection(folder);
        }

        public PhotoCollection Photos
        {
           get
           {
              return this.photos;
           }
        }
    }
}
