using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
   struct Fahrenheit
   {
      private float degrees;

      public float Degrees
      {
         get
         {
            return this.degrees;
         }
      }

      public Fahrenheit(float temperature)
      {
         this.degrees = temperature;
      }

      public static Fahrenheit operator +(Fahrenheit x, Fahrenheit y)
      {
         return new Fahrenheit(x.Degrees + y.Degrees);
      }

      public static Fahrenheit operator -(Fahrenheit x, Fahrenheit y)
      {
         return new Fahrenheit(x.Degrees - y.Degrees);
      }

      public static implicit operator float(Fahrenheit f)
      {
         return f.Degrees;
      }

      public static implicit operator Fahrenheit(float f)
      {
         return new Fahrenheit(f);
      }

      public static explicit operator Celsius(Fahrenheit f)
      {
         return new Celsius((5.0f / 9.0f) * (f.Degrees - 32));
      }
   }
}
