﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PublishAndRaise
{
	public class AddressChangedEventArgs : EventArgs
	{
		private object oldValue;
		private object newValue;

		public AddressChangedEventArgs(object oldValue, object newValue)
		{
			this.oldValue = oldValue;
			this.newValue = newValue;
		}
		
		public object OldValue
		{
			get { return this.oldValue; }
		}

		public object NewValue
		{
			get { return this.newValue; }
		}
	}
}
