﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PublishAndRaise
{
	//Class that subscribes to an event
	class Subscriber
	{
		private string name;
		public Subscriber(string name, Contact publisher)
		{
			this.name = name;
			publisher.AddressChanged += HandleAddressChanged;
		}

		void HandleAddressChanged(object sender, AddressChangedEventArgs e)
		{
			Console.WriteLine("The address was changed from '" + e.OldValue + "' to '" + e.NewValue + "'");
		}
	}
}
