﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace IterationStatements
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonGenerate_Click(object sender, EventArgs e)
        {
            this.textBoxOutput.Clear();

            if (this.radioButtonDoStatement.Checked)
            {
                PowersOfTwoDoLoop(this.numericUpDownMaximum.Value);
            }
            else if (this.radioButtonWhileStatement.Checked)
            {
                PowersOfTwoWhileLoop(this.numericUpDownMaximum.Value);
            }
            else if (this.radioButtonForStatement.Checked)
            {
                PowersOfTwoForLoop(this.numericUpDownMaximum.Value);
            }
            else if (this.radioButtonForeachStatement.Checked)
            {
                PowersOfTwoForeachLoop(this.numericUpDownMaximum.Value);
            }
            else
            {
                MessageBox.Show("Please choose an iteration statement.");
            }
        }

        private void PowersOfTwoForeachLoop(decimal max)
        {
        }

        private void PowersOfTwoForLoop(decimal max)
        {
            for (int i = 0; i <= max; i++)
            {
                this.textBoxOutput.AppendText(String.Format("{0}^2 = {1}\r\n", i, Math.Pow(i, 2)));
            }
        }

        private void PowersOfTwoWhileLoop(decimal max)
        {
            int i = 0;
            while (i <= max)
            {
                this.textBoxOutput.AppendText(String.Format("{0}^2 = {1}\r\n", i, Math.Pow(i, 2)));
                i++;
            }
        }

        private void PowersOfTwoDoLoop(decimal max)
        {
            int i = 0;
            do
            {
                this.textBoxOutput.AppendText(String.Format("{0}^2 = {1}\r\n", i, Math.Pow(i, 2)));
                i++;
            }
            while (i <= max);
        }
    }
}
