﻿<%@ Page Title="Photo Web Viewer" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="PhotoViewerWeb._Default" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>
                    <%: Page.Title %></h1>
            </hgroup>
        </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <asp:DataList ID="albums" runat="server" RepeatDirection="Horizontal" RepeatColumns="3" CssClass="groupbox" Height="100%">
        <ItemTemplate>
            <table>
                <tr>
                    <td>
                        <img src="Images/folder.png">
                    </td>
                    <td>
                        <asp:HyperLink runat="server" ID="hlItem" NavigateUrl='<%# Eval("Name", "viewalbum.aspx?id={0}") %>' Text='<%# Eval("Name") %>' />
                        <br>
                        <asp:Label runat="server" ID="lbItem" Text='<%# DataBinder.Eval(Container.DataItem, "Count", "{0} pictures") %>' />
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
</asp:Content>
