﻿public static class Program
{
    public static void PrintCollection<T>(IList<T> collection)
    {
        StringBuilder builder = new StringBuilder();
        foreach (var item in collection)
        {
            builder.AppendFormat("{0} ", item);
        }
    
        Console.WriteLine(builder.ToString());
    }
 
    public static void Main()
    {
        int[] array = { 0, 2, 4, 6, 8 };
        List<int> list = new List<int>() { 1, 3, 5, 7, 9 };
        
        PrintCollection(array);
        PrintCollection(list);
        
        string[] array2 = { "hello", "world" };
        List<string> list2 = new List<string>() { "now", "is", "the", "time" };
        
        PrintCollection(array2);
        PrintCollection(list2);
    }
}