public class Contact
{
   private EventHandlerList events = new EventHandlerList();
   private static readonly object addressChangedEventKey = new object();

   public event EventHandler AddressChanged
   {
      add
      {
         events.AddHandler(addressChangedEventKey, value);
      }
      remove
      {
         events.RemoveHandler(addressChangedEventKey, value);
      }
   }
}