﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
   class Program
   {
      static void Main(string[] args)
      {
         string pattern = @"^\d{5}(-\d{4})?$";
         Regex expression = new Regex(pattern);

         Console.WriteLine(expression.IsMatch("90210")); // true
         Console.WriteLine(expression.IsMatch("00364-3276")); // true
         Console.WriteLine(expression.IsMatch("3361")); // false
         Console.WriteLine(expression.IsMatch("0036-43275")); // false
         Console.WriteLine(expression.IsMatch("90210-")); // false

         Console.WriteLine(Validate("555-555-5555"));
         Console.WriteLine(Validate("555-55-5555"));
      }

      private static bool Validate(string input)
      {
         return Regex.IsMatch(input, @"^[2-9]\d{2}-\d{3}-\d{4}$");
      }
   }
}
